<?php

session_start();

include '../conexao.inc.php';
$id = "0";
if (isset($_GET["id"])) {
    $id = $_GET["id"];

    //  echo $id;
}

//   if (isset($_POST['notificationType']) && $_POST['notificationType'] == 'transaction') {
//Todo resto do código iremos inserir aqui.

$email = 'recebimentosweb@colegioforcamaxima.com.br';
$token = 'C86EE8F62A824AC599C26D026F28D842';

$url = 'https://ws.pagseguro.uol.com.br/v2/transactions/' . $id . '?email=' . $email . '&token=' . $token;
//Caso use sandbox descontente a linha abaixo.
//$url = 'https://ws.sandbox.pagseguro.uol.com.br/v2/transactions/notifications/' . $_POST['notificationCode'] . '?email=' . $email . '&token=' . $token;
//echo $url;

$curl = curl_init($url);
curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$transaction = curl_exec($curl);
//  echo $transaction;
curl_close($curl);


if ($transaction == 'Unauthorized') {
    echo "O sistema encontra-se inoperante no momento";
//Insira seu código avisando que o sistema está com problemas, sugiro enviar um e-mail avisando para alguém fazer a manutenção

    exit; //Mantenha essa linha
}
$transaction = simplexml_load_string($transaction);
$seqPedido = $transaction->reference;
$status = $transaction->status;
$seqFormaPagamento = $transaction->paymentMethod->code;

//if ($status == 3 || $status == 4) {

    $sqlUpdatePedido = "update pedido set seq_status=$status, id_pedido_pagseguro='$id'"
            . ",seq_forma_pagamento=$seqFormaPagamento, data_pagamento=now() where seq_pedido=$seqPedido";
    mysqli_query($conexao, $sqlUpdatePedido);
/*
} else {
    $sqlUpdatePedido = "update pedido set seq_status=$status, id_pedido_pagseguro='$id'"
            . ",seq_forma_pagamento=$seqFormaPagamento, data_pagamento=now() where seq_pedido=$seqPedido";
    mysqli_query($conexao, $sqlUpdatePedido) or die(mysqli_error($conexao));
}
*/
//    echo "Pedido=". $seqPedido." e Status=".$status;
//}
echo "<script>location.href='../index.php';</script>";
?>
